#include <bits/stdc++.h>
using namespace std;

int main()
{
    int x[1555], y[1555], n, a, b;
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>x[i]>>y[i];
    }
    map<pair<int, int>, int> m;
    for (int i=0; i<n; i++){
        for (int j=i+1; j<n; j++){
            a=2*x[i]+x[j];
            b=2*y[i]+y[j];
            m[make_pair(a, b)]++;
            a=x[i]+2*x[j];
            b=y[i]+2*y[j];
            m[make_pair(a, b)]++;
        }
    }
    long long res=0;
    for(auto it=m.begin(); it!=m.end(); ++it){
        long long br=it->second;
        res+=br*(br-1)/2;
    }
    cout<<res;
}